> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # Get secret GET https://api.elevenlabs.io/v1/convai/secrets/{secret_id} Get a workspace secret by ID Reference: https://elevenlabs.io/docs/api-reference/workspace/secrets/get ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Request ### Path parameters - `secret_id` (string, required) ## Response ### 200 Successful Response - `type` ("stored", required) - `secret_id` (string, required) - `name` (string, required) - `used_by` (ConvAIStoredSecretDependencies, required) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ConvAIStoredSecretDependencies - `tools` (list of ConvAiStoredSecretDependenciesToolsItems, required) - `agents` (list of ConvAiStoredSecretDependenciesAgentsItems, required) - `others` (list of enum, required) - Allowed values: `conversation_initiation_webhook` - `tools_has_more` (boolean, optional, default: false) — Whether there are more tool dependents beyond the returned preview - `agents_has_more` (boolean, optional, default: false) — Whether there are more agent dependents beyond the returned preview - `phone_numbers` (list of DependentPhoneNumberIdentifier, optional) - `phone_numbers_has_more` (boolean, optional, default: false) — Whether there are more phone number dependents beyond the returned preview - `mcp_servers` (list of ConvAiStoredSecretDependenciesMcpServersItems, optional) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ConvAiStoredSecretDependenciesToolsItems - `type`: `available` (DependentAvailableToolIdentifier) - `access_level` (enum, required) - Allowed values: `admin`, `editor`, `commenter`, `viewer` - `created_at_unix_secs` (integer, required) - `id` (string, required) - `name` (string, required) - `type`: `unknown` (DependentUnknownToolIdentifier) - `id` (string, required) ### ConvAiStoredSecretDependenciesAgentsItems - `type`: `available` (DependentAvailableAgentIdentifier) - `access_level` (enum, required) - Allowed values: `admin`, `editor`, `commenter`, `viewer` - `created_at_unix_secs` (integer, required) - `id` (string, required) - `name` (string, required) - `referenced_resource_ids` (list of string, optional) — If the agent is a transitive dependent, contains IDs of the resources that the agent depends on directly. - `type`: `unknown` (DependentUnknownAgentIdentifier) - `id` (string, required) - `referenced_resource_ids` (list of string, optional) — If the agent is a transitive dependent, contains IDs of the resources that the agent depends on directly. ### DependentPhoneNumberIdentifier - `phone_number_id` (string, required) - `phone_number` (string, required) - `label` (string, required) - `provider` (enum, required) - Allowed values: `twilio`, `sip_trunk`, `exotel` ### ConvAiStoredSecretDependenciesMcpServersItems - `type`: `available` (DependentAvailableMCPServerIdentifier) - `access_level` (enum, required) - Allowed values: `admin`, `editor`, `commenter`, `viewer` - `created_at_unix_secs` (integer, required) - `id` (string, required) - `name` (string, required) - `type`: `unknown` (DependentUnknownMCPServerIdentifier) - `id` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json {} ``` **Response** ```json { "type": "stored", "secret_id": "sec_9f8b7c6d5e4a3b2c1d0e", "name": "DatabaseCredentials", "used_by": { "tools": [ { "type": "available", "access_level": "admin", "created_at_unix_secs": 1685000000, "id": "tool_123abc456def", "name": "DataSyncTool" } ], "agents": [ { "type": "available", "access_level": "admin", "created_at_unix_secs": 1685100000, "id": "agent_987zyx654wvu", "name": "CustomerSupportAgent", "referenced_resource_ids": [ "res_789xyz123uvw" ] } ], "others": [ "conversation_initiation_webhook" ], "tools_has_more": false, "agents_has_more": false, "phone_numbers": [ { "phone_number_id": "pn_5551234567", "phone_number": "+15551234567", "label": "Support Line", "provider": "twilio" } ], "phone_numbers_has_more": false, "mcp_servers": [ { "type": "available", "access_level": "admin", "created_at_unix_secs": 1685200000, "id": "mcp_321fed654cba", "name": "PrimaryMCPServer" } ] } } ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/convai/secrets/secret_id" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/convai/secrets/secret_id'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/convai/secrets/secret_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/convai/secrets/secret_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.elevenlabs.io/v1/convai/secrets/secret_id") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.elevenlabs.io/v1/convai/secrets/secret_id', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/convai/secrets/secret_id"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/secrets/secret_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.